petsc-3.12.1 2019-10-22
Report Typos and Errors

# DMForestGetTopology

Get a string describing the topology of a DMForest.

### Synopsis

    #include "petscdmforest.h"
    #include "petscdm.h"
    #include "petscdmlabel.h"
    PetscErrorCode DMForestGetTopology(DM dm, DMForestTopology *topology)

Not collective

### Input parameter

dm -the forest

### Output parameter

topology -the topology of the forest (e.g., 'cube', 'shell')

### See Also

DMForestSetTopology()

### Level

intermediate

### Location

src/dm/impls/forest/forest.c
Index of all DMFOREST routines
Table of Contents for all manual pages
Index of all manual pages